snigFit {fBasics} | R Documentation

## Fit of a Stndardized NIG Distribution

### Description

Estimates the parameters of a standardized normal inverse Gaussian distribution.

### Usage

    snigFit(x, zeta = 1, rho = 0, scale = TRUE, doplot = TRUE,
        span = "auto", trace = TRUE, title = NULL, description = NULL, ...)

### Arguments

`zeta, rho` | shape parameter `zeta` is positive, skewness parameter `rho` is in the range (-1, 1).
`description` | a character string which allows for a brief description.
`doplot` | a logical flag. Should a plot be displayed?
`scale` | a logical flag, by default `TRUE`. Should the time series be scaled by its standard deviation to achieve a more stable optimization?
`span` | x-coordinates for the plot, by default 100 values automatically selected and ranging between the 0.001, and 0.999 quantiles. Alternatively, you can specify the range by an expression like `span=seq(min, max, times = n)`, where, `min` and `max` are the left and right endpoints of the range, and `n` gives the number of the intermediate points.
`title` | a character string which allows for a project title.
`trace` | a logical flag. Should the parameter estimation process be traced?
`x` | a numeric vector.
`...` | parameters to be parsed.

### Value

The function `snigFit` returns a list with the following components:

`estimate` | the point at which the maximum value of the log liklihood function is obtained.
`minimum` | the value of the estimated maximum, i.e. the value of the log liklihood function.
`code` | an integer indicating why the optimization process terminated. 1: relative gradient is close to zero, current iterate is probably solution; 2: successive iterates within tolerance, current iterate is probably solution; 3: last global step failed to locate a point lower than `estimate`. Either `estimate` is an approximate local minimum of the function or `steptol` is too small; 4: iteration limit exceeded; 5: maximum step size `stepmax` exceeded five consecutive times. Either the function is unbounded below, becomes asymptotic to a finite value from above in some direction or `stepmax` is too small.
`gradient` | the gradient at the estimated maximum.
`steps` | number of function calls.

### Examples

    ## snigFit -
       # Simulate Random Variates:
       set.seed(1953)
       s = rsnig(n = 2000, zeta = 0.7, rho = 0.5)

    ## snigFit -
       # Fit Parameters:
       snigFit(s, zeta = 1, rho = 0, doplot = TRUE)

[Package fBasics version 3042.89 Index]